> For the complete documentation index, see [llms.txt](https://docs.dapplooker.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dapplooker.com/products/api-endpoints/trading-intelligence/historical-market-data.md).

# Historical Market Data

## Endpoint

```
GET https://api.dapplooker.com/v1/historical-market-data
```

***

## Query Parameters

| Parameter      | Type   | Required | Description                                                                           |
| -------------- | ------ | -------- | ------------------------------------------------------------------------------------- |
| chain          | string | Yes      | Network to query (`base`, `solana`, etc.)                                             |
| token\_address | string | No       | Token contract address                                                                |
| token\_id      | string | No       | Internal token identifier                                                             |
| token\_ticker  | string | No       | Token ticker                                                                          |
| start\_date    | string | No       | Start date (`YYYY-MM-DD`)                                                             |
| end\_date      | string | No       | End date (`YYYY-MM-DD`)                                                               |
| page           | number | No       | Pagination page                                                                       |
| api\_key       | string | Yes      | Your unique DappLooker API key used for authentication. Optional if querying via x402 |

Use one token identifier: `token_address`, `token_id`, or `token_ticker`.

***

## Example Requests

```bash
# Query by token address with pagination
curl --location 'https://api.dapplooker.com/v1/historical-market-data?api_key=<API_KEY>&chain=base&token_address=0xac1bd2486aaf3b5c0fc3fd868558b082a531b2b4&page=1'

# Query by ticker with custom date range
curl --location 'https://api.dapplooker.com/v1/historical-market-data?api_key=<API_KEY>&chain=base&token_ticker=VIRTUAL&start_date=2025-01-01&end_date=2025-06-06'
```

***

## Example Response

```json
{
  "success": true,
  "data": {
    "token_id": "toshi",
    "token_symbol": "TOSHI",
    "token_address": "0xac1bd2486aaf3b5c0fc3fd868558b082a531b2b4",

    "token_day_metrics": [
      {
        "date_time": "2025-06-03",
        "usd_price": 0.00058,
        "total_volume": 21583357,
        "market_cap": 243545744
      },
      {
        "date_time": "2025-06-02",
        "usd_price": 0.00054,
        "total_volume": 13218936,
        "market_cap": 228146173
      },
      {
        "date_time": "2025-06-01",
        "usd_price": 0.00056,
        "total_volume": 14565988,
        "market_cap": 238189967
      }
    ],

    "meta": {
      "pagination": {
        "page": 1,
        "pageSize": 1000,
        "totalPages": 1,
        "totalRecords": 3
      }
    }
  }
}
```

***

## Response Schema

### Token Identity

| Field          | Type   | Description               |
| -------------- | ------ | ------------------------- |
| token\_id      | string | Internal token identifier |
| token\_symbol  | string | Token ticker              |
| token\_address | string | Contract address          |

***

### Daily Market Metrics

Each item in `token_day_metrics` contains:

| Field         | Type   | Description                     |
| ------------- | ------ | ------------------------------- |
| date\_time    | string | Record date (`YYYY-MM-DD`)      |
| usd\_price    | number | Daily token price in USD        |
| total\_volume | number | Daily trading volume in USD     |
| market\_cap   | number | Estimated market capitalization |

***

### Pagination

| Field        | Type   | Description             |
| ------------ | ------ | ----------------------- |
| page         | number | Current page            |
| pageSize     | number | Items per page          |
| totalPages   | number | Total pages             |
| totalRecords | number | Total records available |

***
